<?php
namespace SabaiApps\Directories\Component\Payment;

use SabaiApps\Directories\Exception\RuntimeException;

interface ISubscription {

	public function paymentSubscriptionId();
	public function paymentSubscriptionNumber();
	public function paymentSubscriptionName();
	public function paymentSubscriptionStatus();
	public function paymentSubscriptionTotalHtml();
	public function paymentSubscriptionNextPaymentHtml();
	public function paymentSubscriptionAdminUrl();
	public function paymentSubscriptionUserId();
	public function paymentSubscriptionIsActive();
	public function paymentSubscriptionEntityId();
	public function paymentSubscriptionEntityType();
	/**
	 * @return IPlan
	 * @throws RuntimeException
	 */
	public function paymentSubscriptionPlan();
}
